summaryrefslogtreecommitdiff
path: root/resources/scripts/build
diff options
context:
space:
mode:
authorLeah Rowe <leah@libreboot.org>2023-08-17 11:55:38 +0100
committerLeah Rowe <leah@libreboot.org>2023-08-17 11:56:17 +0100
commit63b0e99f6c4184466b33b166d1558c9b8b5c8702 (patch)
tree20cdcdccc0108fe9181c13c498f231bc11211373 /resources/scripts/build
parent0848622799b8c627cd650d848ffa7d592d80b26d (diff)
don't call blobutil directly from lbmk
it's bloat, and was only there for backwards compatibility with the old commands, but the new commands are e.g. ./update blobs inject instead of: ./blobutil inject this results in a slight code size reduction in lbmk Signed-off-by: Leah Rowe <leah@libreboot.org>
Diffstat (limited to 'resources/scripts/build')
-rwxr-xr-xresources/scripts/build/boot/roms2
-rwxr-xr-xresources/scripts/build/release/src5
2 files changed, 3 insertions, 4 deletions
diff --git a/resources/scripts/build/boot/roms b/resources/scripts/build/boot/roms
index 16ce698a..623cf88a 100755
--- a/resources/scripts/build/boot/roms
+++ b/resources/scripts/build/boot/roms
@@ -131,7 +131,7 @@ buildrom() {
# Start by building blobs and placing them in the
# coreboot tree only for boards that need them
- ./blobutil download ${board} || exit 1
+ ./update blobs download ${board} || exit 1
if [ -d "resources/coreboot/${board}/" ]; then
./build boot roms_helper ${board}${opts}
diff --git a/resources/scripts/build/release/src b/resources/scripts/build/release/src
index 2b985156..a518b83f 100755
--- a/resources/scripts/build/release/src
+++ b/resources/scripts/build/release/src
@@ -29,9 +29,8 @@ simple_fetch_list="${simple_fetch_list} bios_extract biosutilities"
dirlist="resources util" # do not add blobs directory here. it's handled below
-filelist="lbmk blobutil modify build README.md COPYING Makefile update"
-filelist="${filelist} version versiondate projectname .gitcheck fetch"
-filelist="${filelist} fetch_trees"
+filelist="lbmk modify build README.md COPYING Makefile update version"
+filelist="${filelist} versiondate projectname .gitcheck fetch fetch_trees"
version="version-unknown"
versiondate="version-date-unknown"